Skip to content
Leadtime
English
Esc
↑↓navigate↵open⌘Jpreview

Set guest visibility for one documentation page

Sets the direct guest-visibility flag for one page. Internal documentation managers only. Organization members cannot call this endpoint, even with manageDocumentation. Hidden pages stay hidden from guests until this flag is true and the project uses Selected pages.

PATCH/projects/documentation/{id}/guest-visibility
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstring<uuid>required

Project documentation page or folder UUID. This parameter does not accept a project short identifier.

Request body
requiredapplication/json
guestVisiblebooleanrequired

Direct guest-visibility flag for this page. Folders use the subtree endpoint. Internal callers only.

Responses
200
countnumber

Number of nodes updated by a recursive folder action.

guestVisiblebooleanrequired
idstring<uuid>required
401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

404

The page does not exist or is not accessible.

errorstring | object

HTTP error name or a structured HTTP exception response.

Show properties
One of:
string
string
object
object
messagestring | string[] | objectrequired

Error message, validation message list, or request-field validation message map.

Show properties
One of:
string
string
string[]
Array of string
string
object
object
statusCodenumberrequired

HTTP status code for this response.

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH "https://leadtime.app/api/public/projects/documentation/550e8400-e29b-41d4-a716-446655440000/guest-visibility" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "guestVisible": true
}'
Response
{
  "count": 0,
  "guestVisible": true,
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}